Menu

## CharacterStats
in package

CharacterStats.php : 14

Class CharacterStats.

### Table of Contents

$character : mixed
$game : mixed
$sorted : mixed
$stat_groups : mixed
__construct() : mixed
  CharacterStats constructor.
addCharacterStatGroup() : mixed
getCharacterStatGroup() : CharacterStatGroup
hasCharacterStatGroup() : bool
iterate() : array<string|int, CharacterStatGroup>|Generator

### Properties

#### $character

CharacterStats.php : 17
`private mixed $character`

#### $game

CharacterStats.php : 16
`private mixed $game`

#### $sorted

CharacterStats.php : 19
`private mixed $sorted = true`

#### $stat_groups

CharacterStats.php : 18
`private mixed $stat_groups`

### Methods

#### __construct()

CharacterStats.php : 26

CharacterStats constructor.

`public __construct(Game $game, Character $character) : mixed`

##### Parameters

$game : Game
$character : Character

##### Return values

mixed —

#### addCharacterStatGroup()

CharacterStats.php : 61
`public addCharacterStatGroup(CharacterStatGroup $group) : mixed`

##### Parameters

$group : CharacterStatGroup

##### Tags

throws
  CharacterStatGroupExistsException

##### Return values

mixed —

#### getCharacterStatGroup()

CharacterStats.php : 76
`public getCharacterStatGroup(string $id) : CharacterStatGroup`

##### Parameters

$id : string

##### Tags

throws
  CharacterStatGroupNotFoundException

##### Return values

CharacterStatGroup —

#### hasCharacterStatGroup()

CharacterStats.php : 89
`public hasCharacterStatGroup(string $id) : bool`

##### Parameters

$id : string

##### Return values

bool —

#### iterate()

CharacterStats.php : 41
`public iterate() : array<string|int, CharacterStatGroup>|Generator`

##### Return values

array<string|int, CharacterStatGroup>|Generator —

## Search results